Bug 836226 - Percent count overflowed during relabeling file system
Percent count overflowed during relabeling file system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 08:35 EDT by Michal Trunecka
Modified: 2014-09-30 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:05:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video showing the error (3.12 MB, video/ogg)
2012-06-28 08:35 EDT, Michal Trunecka
no flags Details

  None (edit)
Description Michal Trunecka 2012-06-28 08:35:09 EDT
Created attachment 595007 [details]
Video showing the error

Description of problem:
Percent count of relabeling file system overflowed during boot after re-enabling selinux in /etc/selinux/config.

Version-Release number of selected component (if applicable):
[root@localhost ~]# rpm -qa \*selinux\*
selinux-policy-minimum-3.10.0-131.el7.noarch
selinux-policy-3.10.0-131.el7.noarch
libselinux-python-2.1.10-4.el7.x86_64
selinux-policy-devel-3.10.0-131.el7.noarch
selinux-policy-doc-3.10.0-131.el7.noarch
libselinux-2.1.10-4.el7.x86_64
selinux-policy-mls-3.10.0-131.el7.noarch
libselinux-devel-2.1.10-4.el7.x86_64
libselinux-utils-2.1.10-4.el7.x86_64
selinux-policy-targeted-3.10.0-131.el7.noarch

How reproducible:


Steps to Reproduce:
1. Disable selinux in /etc/selinux/conifg
2. Reboot
3. Enable selinux in /etc/selinux/conifg
4. Reboot and see the percentage of relabeling the file system
  
Actual results:
39179% is shown instead of 99%
-2147483648% is shown instead of 100%

Can be seen in the attached video. (time 0:27)

Expected results:
Show 99% and 100%
Comment 1 Daniel Walsh 2012-10-16 13:29:06 EDT
Fixed in policycoreutils-2.1.13-9.el7
Comment 4 Ludek Smid 2014-06-13 08:05:18 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.